#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "svg.h"

using namespace std;

const size_t SCREEN_WIDTH = 80;
const size_t MAX_ASTERISK = SCREEN_WIDTH - 3 - 1;

struct
Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data ()
{
    Input in;

    size_t number_count;
    cerr << "enter number count: ";
    cin >> number_count;

    in.numbers.resize(number_count);
    for (size_t i=0; i<number_count; i++)
    {
        cerr << "enter number" << (i+1) << ": ";
        cin >> in.numbers[i];
    }
    cin >> in.bin_count;
    return in;
}

int
main()
{
    auto in = input_data();
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
}
